#include <iostream>
#include <iomanip>

class Idopont
{
    int percek;
public:
    Idopont()
    {
        this->percek = 0;
    }
    Idopont(int ora, int perc)
    {
        this->percek = (ora * 60 + perc) % (24 * 60);
        if (this->percek < 0)
            this->percek += 24 * 60;
    }
    int get_ora() const
    {
        return percek / 60;
    }
    int get_perc() const
    {
        return percek % 60;
    }
};

inline std::ostream& operator<<(std::ostream& os, Idopont const& i)
{
    os << std::setw(2) << std::setfill('0') << i.get_ora() << ":"
       << std::setw(2) << std::setfill('0') << i.get_perc();
    return os;
}

inline std::istream& operator>>(std::istream& is, Idopont& i)
{
    int ora, perc;
    char kettospont;
    is >> ora >> kettospont >> perc;
    i = Idopont(ora, perc);
    return is;
}

int main()
{
    Idopont i1;
    std::cin >> i1;
    std::cout << i1 << std::endl;
    
    Idopont i2(6, 30);
    std::cout << i2.get_ora() << " ora " << i2.get_perc() << " perc" << std::endl;
}
